Subject: Re: bug#11381: 23.3; isearch-search-and-update issue?

From: Juri Linkov <[email-masked]>
Date: Tue, 01 May 2012 18:17:02 +0300

> Sounds like a good idea.  To solve nb 3 (i.e. searching for a symbol),
> all that's needed is to set isearch-search-fun-function, so the
> mechanism is there.

`isearch-word' binds the search function to `word-search-forward'
and `word-search-backward', so perhaps new functions
`symbol-search-forward' and `symbol-search-backward'
will be necessary too.

> The problem is that it's clunky to use because you can't just let-bind
> that variable around the call to isearch-forward.  So one thing we
> (c|sh)ould provide is a general way to "run isearch with the following
> vars temporarily bound to these values".
> Maybe simply a new function that runs isearch in a recursive-edit would
> be all that's needed (so you can let-bind the vars around the call to
> that function).

Another variant to try is to set these variables in a function
added to `isearch-mode-hook'.